Problem with Google Plus plugin after an update to 1.7.8

Support requests, bug reports, etc. go here. Dedicated servers / VDS hosting only
Brianetta
Bear Rating Trainee
Bear Rating Trainee
Posts: 7
Joined: 04 Apr 2013, 13:25

Problem with Google Plus plugin after an update to 1.7.8

Postby Brianetta » 04 Apr 2013, 13:32

After what appeared to be a successful upgrade, I'm seeing the following message instead of actual feed content:

Code: Select all

Could not update headlines (invalid object received - see error console for details)


The Firefox web console shows the following:

Code: Select all

[10:22:16.791] (new SyntaxError("JSON.parse: unexpected character", "https://machine_name/tt-rss/index.php#f=-3&c=0", 92))
[10:22:16.792] headlines_callback2 [offset=0] B:false I:false
[10:22:16.793] (new SyntaxError("JSON.parse: unexpected character", "https://machine_name/tt-rss/index.php#f=-3&c=0", 352))
[10:22:16.793] Invalid object received: <br />
<b>Fatal error</b>:  Call to undefined function theme_image() in <b>/var/www/html/tt-rss/plugins/googleplus/init.php</b> on line <b>26</b><br />


Disabling the Google Plus plugin fixed the problem. I do use that plugin, so I thought I'd better report the problem here.

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Problem with Google Plus plugin after an update to 1.7.8

Postby fox » 04 Apr 2013, 13:34

The plugin you are using is too old. There's an updated version in T&P forum.

Brianetta
Bear Rating Trainee
Bear Rating Trainee
Posts: 7
Joined: 04 Apr 2013, 13:25

Re: Problem with Google Plus plugin after an update to 1.7.8

Postby Brianetta » 04 Apr 2013, 13:41

Ah, thanks. Is there a relatively easy way of determining which plugins require an update?

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Problem with Google Plus plugin after an update to 1.7.8

Postby fox » 04 Apr 2013, 13:47

The ones that crash. :)

Brianetta
Bear Rating Trainee
Bear Rating Trainee
Posts: 7
Joined: 04 Apr 2013, 13:25

Re: Problem with Google Plus plugin after an update to 1.7.8

Postby Brianetta » 04 Apr 2013, 13:55

Fair enough.

In addition to tt-rss, I'm using Dokuwiki. It has a plugin interface that has some good ideas. Notably, an "info" and "update" button, which are enabled if (and only if) the plugin provides the required functions. This allows a plugin's author to determine how and from where it can update itself, and gives the user an easy way to trigger it.

https://www.dokuwiki.org/_media/:pluginmanager.png

User avatar
fox
^ me reading your posts ^
Posts: 6318
Joined: 27 Aug 2005, 22:53
Location: Saint-Petersburg, Russia
Contact:

Re: Problem with Google Plus plugin after an update to 1.7.8

Postby fox » 04 Apr 2013, 14:00

In php error handling is shitty, I can't just wrap loading a plugin in try - catch block and every syntax or whatever missing method error will be automatically handled. So there's not much point in even bothering...

E_SYNTAX errors for example can't be handled by an application at all. It just dies and that's it.

User avatar
homolibere
Bear Rating Trainee
Bear Rating Trainee
Posts: 6
Joined: 11 May 2012, 12:06
Location: Kiev, Ukraine
Contact:

Re: Problem with Google Plus plugin after an update to 1.7.8

Postby homolibere » 17 May 2013, 13:31

update to G+ plugin. support for TTRSS v1.7.9
viewtopic.php?f=22&t=1021#p10764


Return to “Support”

Who is online

Users browsing this forum: No registered users and 13 guests